Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.undo.edit
Class PasteRootEdit

    java.lang.Object
      info.bioinfweb.treegraph.document.undo.DocumentEdit
          info.bioinfweb.treegraph.document.undo.SaveLegendsEdit
              info.bioinfweb.treegraph.document.undo.edit.InsertRemoveSubtreeEdit
                  info.bioinfweb.treegraph.document.undo.edit.InsertSubtreeEdit
                      info.bioinfweb.treegraph.document.undo.edit.PasteRootEdit

All Implemented Interfaces:
  WarningEdit, UndoableEdit

    public class PasteRootEdit

extends InsertSubtreeEdit

Author:
  Ben Stöver

Field Summary
`private LegendPaster` | `legendPaster`

Fields inherited from class info.bioinfweb.treegraph.document.undo.edit.InsertRemoveSubtreeEdit
`index, parent, root`

Fields inherited from class info.bioinfweb.treegraph.document.undo.DocumentEdit
`document`

Constructor Summary
`PasteRootEdit(Document document, Node root, Legend[] legends)`

Method Summary
`String` | `getPresentationName()`
`void` | `redo()`
`void` | `undo()`

Methods inherited from class info.bioinfweb.treegraph.document.undo.edit.InsertRemoveSubtreeEdit
`insert, remove`

Methods inherited from class info.bioinfweb.treegraph.document.undo.SaveLegendsEdit
`editSubtreeLegends, getHelpTopic, getLegendsReanchored, getLegendsRemoved, getLegendsSave, getShowWarnings, getWarningsMessages, restoreLegends, saveLegends, setHelpTopic, setLegendsReanchored, setLegendsRemoved, setShowWarnings, showWarningDialog`

Methods inherited from class info.bioinfweb.treegraph.document.undo.DocumentEdit
`addEdit, canRedo, canUndo, die, getIsSubedit, getRedoPresentationName, getUndoPresentationName, isSignificant, replaceEdit, setIsSubedit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### legendPaster

    private LegendPaster legendPaster

Constructor Detail

### PasteRootEdit

    public PasteRootEdit(Document document,
                         Node root,
                         Legend[] legends)

Method Detail

### redo

    public void redo()
              throws CannotRedoException

  Specified by:
    `redo` in interface `UndoableEdit`
  Overrides:
    `redo` in class `InsertSubtreeEdit`
  Throws:
    `CannotRedoException`

### undo

    public void undo()
              throws CannotUndoException

  Specified by:
    `undo` in interface `UndoableEdit`
  Overrides:
    `undo` in class `InsertSubtreeEdit`
  Throws:
    `CannotUndoException`

### getPresentationName

    public String getPresentationName()

  Specified by:
    `getPresentationName` in interface `UndoableEdit`
  Overrides:
    `getPresentationName` in class `InsertSubtreeEdit`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD